<template>
  <div>页面跳转中......</div>
</template>

<script>
import local from "@/utils/local";
// import { getSiteTree } from "@/services/businessMatter";
export default {
  data() {
    return {
      portal: process.env.VUE_APP_API_portal_URL + "/#/",
    };
  },
  created() {
    this.getInfo();
  },
  methods: {
    // 扁平化树形结构
    // extractTree(arrs, childs, attrArr) {
    //   let attrList = [];
    //   if (!Array.isArray(arrs) && !arrs.length) return [];
    //   if (typeof childs !== "string") return [];
    //   if (
    //     !Array.isArray(attrArr) ||
    //     (Array.isArray(attrArr) && !attrArr.length)
    //   ) {
    //     attrList = Object.keys(arrs[0]);
    //     attrList.splice(attrList.indexOf(childs), 1);
    //     attrList.splice(attrList.indexOf("isLeaf"), 1);
    //   } else {
    //     attrList = attrArr;
    //   }
    //   let list = [];
    //   const getObj = (arr) => {
    //     arr.forEach(function (row) {
    //       let obj = {};
    //       attrList.forEach((item) => {
    //         obj[item] = row[item];
    //       });
    //       list.push(obj);
    //       if (row[childs]) {
    //         getObj(row[childs]);
    //       }
    //     });
    //     return list;
    //   };
    //   return getObj(arrs);
    // },
    // 获取token和站点信息
    async getInfo() {
      let token = this.$route.query.token;
      let siteid = this.$route.query.siteid;
      if (token) {
        local.setLocal("sampleToken", token);
        // let res = await getSiteTree({});
        // let { siteTree } = res.data.data;
        // let siteList = this.extractTree(siteTree, "children").filter(
        //   (v) => v.type === "site"
        // );
        // let arr = siteList.filter((v) => v.id == siteid);
        // let siteInfo = {
        //   siteName: arr[0].label,
        //   siteid: arr[0].id,
        // };
        // local.setLocal("siteInfo", siteInfo);
        local.setLocal("sampleSiteId", siteid);
        this.$router.push("/basicsset");
      } else {
        this.$message.warning("跳转失败，请重新登录");
        setTimeout(() => {
          location.href = this.portal;
        }, 2000);
      }
    },
  },
};
</script>

<style lang="less" scoped>
</style>